GET
List open positions by cohort

Authorizations

x-api-key
string
header
required

Your API key. Keys are issued on request: message @perp_ag on X.

Query Parameters

platform
enum<string>
required

Venue. See Venues and identifiers.

Available options:
LIGHTER,
RHLT,
JUPITER,
PHOENIX,
BULLET,
AFTERMATH
cohort
enum<string>

Only wallets in this cohort.

Available options:
extremely_profitable,
very_profitable,
profitable,
unprofitable,
very_unprofitable,
rekt
owner
string

Only this wallet.

symbol
string

Only this market.

side
enum<string>

Only this side.

Available options:
long,
short
sort_by
enum<string>
default:notional_usd

Sort column.

Available options:
notional_usd,
size,
owner_pnl,
owner
sort_order
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc
page
integer
default:1

Page, from 1.

Required range: x >= 1
limit
integer
default:50

Rows per page.

Required range: 1 <= x <= 200

Response

Success

status
enum<string>
required
Available options:
success
data
object
required